 
  { FIT+WEIGHT.PDE 
  
  This test shows the use of spatially-varying weights in the FIT function.
 
  There are no variables or equations here, just a domain and some tabular
  data which is FIT in different ways.
 
  The weight declared in the FIT statement is effectively the square of the
  spatial distance over which variations are smoothed.

  }
 
  title 'Test Variable-Weight FIT'
 
  definitions
    u = table('table.tbl')
 
 
  boundaries
    region 1
      start(0,10)
      line to (0,0) to (10,0) to (10,10) to close
 
  plots
     grid(x,y)
     contour(u)
     contour(fit(u))   as 'unweighted'
     contour(fit(u,0.2))   as 'constant weight'
     contour(fit(u,0.02*(x-5)^2)) as 'side-weights'
     contour(fit(u,0.05*x)) as 'right-side weight'
 
  end "FrelxszPvWqPXOjT1qiGR4zNzVEdAXeJ7LVn/XXhUBGxPCgb0ac5zZe2D87ZoeGwxXRUY31byEx3DORA3kU3X8gKwE+06M1QRY3TAeBkjmlndmTXdy41ctnjN8ZI9w3YxVo9B350ubDIN6j+lVHnHEOHEUF/ed8Hsr6sX0hgwu1"
