  {  STAGED_GEOMETRY.PDE  
  
     This problem shows the use of staging to solve  a problem for a range
    of geometries. 

  }
 
  title 'Staged Geometry'
 
  select
     stages=3
     autostage=off  { pause after each stage }

  definitions
     width = 2*stage
 
  Variables
     u
 
  equations
U:     div(grad(u)) + 4 = 0;
 
  boundaries
     region 1
        start(0,0)
        value(u)=0  line to (width,0) to (width,2) to (0,2) to close
 
  monitors
     contour(u)
 
  plots
     grid(x,y)
     surface(u)
     contour(u)
 
  histories
     history(integral(u)) vs width as "Integral vs width"
 
  end "INuKYXh6NwIoDjORBR6uaVEz4hkdPxcX0xDaGxRVVEAp7Q44Cca7vwi29NHCQUyWaj/KUZMa6DoYbaTjt6yxZ8JnkTqOLK7/K7PVanSTs1R4IujAtgJKptB9j4RDOO8Lf/sYJGGRznF5FDPVMg6RrXUs/QENuBcwaC5R3afJ6VS"
